#{extends 'borderNG.html' /}
#{set 'titleHead'}
&{'beranda.panitia'}
#{/set}
<div class="container">
    <ul id="tabs" class="nav nav-tabs faq-cat-tabs" role="tablist">
        <li>
            <a href="@{BerandaCtr.index()}">&{'beranda.tender'}</a>
        </li>
        <li>
            <a href="@{BerandaCtr.nonLelang()}">&{'beranda.nontender'}</a>
        </li>
        #{if enableDevPartner}
            <li class="active">
                <a href="@{devpartner.BerandaDpCtr.index()}">&{'beranda.dev_partner'}</a>
            </li>
        #{/if}
    </ul>
    <div class="tab-pane active">
        <div class="content tab-content">

            <div class="breadcrumb" style="background-color: #25B396 !important;">&{'beranda.tender_aktif'}</div>
        <!-- [AY] komentar ini ditujuan bagi developer
            [DEVELOPMENT]: Jika telah masuk jadwal namun belum dilakukan maka diberi tanda seru. Contoh tahap penetapan pemenang namun belum ditetapkan.
            Angka 2 pada penjelasan menunjukkan jumlah pertanyaan dari peserta tender; begitu pula sanggahan
         -->
            <form id="formFilter">
                <table class="table table-condensed table-bordered">
                    <tr>
                        <th class="bg-warning" width="200">&{'beranda.kepanitiaan'}</th>
                        <td>#{selectPanitia 'panitiaId', value:panitiaId, autoSubmit:true/}</td>
                    </tr>
                 </table>
            </form>
            <table id="tbllelang" class="table table-condensed">
                <thead>
                <tr>
                    <th width="12%">&{'beranda.kode_tender'}</th>
                    <th>&{'beranda.nama_tender'}</th>
                    <th width="200">&{'beranda.tahap'}</th>
                    <th width="10">&{'beranda.peserta'}</th>
                </tr>
                </thead>
            </table>
        </div>
    </div>
</div>
#{set 'css_custom' } 
<link href="#{assets '/bootstrap/css/bootstrap-datatables.min.css'/}" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/bootstrap/js/bootstrap-datatables.min.js'/}"></script>
<script type="text/javascript">  
var view  = #{jsRoute @devpartner.LelangDpCtr.view(':id') /};
var viewTahap  = #{jsRoute @devpartner.JadwalDpCtr.tahap(':id') /};
$(document).ready(function() {
$("#tbllelang").dataTable({                        
	    order: [[ 0, "desc"]],
        ajax: "@{DataTableCtr.lelangDpPanitia(panitiaId)}",
        columns: [null, {render: function(data, type, row) {
        	 	var id = row[0]; 
        		var paket = row[1];

        		var label = row[4];
        		row[2] = '<a class="jpopup" href="'+viewTahap.url({id:id})+'" >'+row[2]+'</a>';
        		row[1] = '<a href="'+view.url({id:id})+'">'+paket +'&nbsp;<span class="label label-info">'+label+'</span></a>';
        		return row[1];
        	}},{orderable:false},{orderable:false}
        ]
    }).fnFilterOnReturn();

    $('[name^=panitia]').on('change', function() {
        var panitia_id=$(this).val();
        $.cookie("panitia_id", panitia_id , {expires:365, path:'${request.path}'});
        $('#formFilter').submit();
        table.draw();
    });
} );
</script>
#{/set}
